GWT 2.7.0

## com.google.gwt.dom.client
Class DOMImplStandard

    java.lang.Object
      com.google.gwt.dom.client.DOMImpl
          com.google.gwt.dom.client.DOMImplStandard

Direct Known Subclasses:
  DOMImplMozilla, DOMImplStandardBase

    abstract class DOMImplStandard

extends DOMImpl

Base implementation of `DOMImpl` shared by those browsers that come a bit closer to supporting a common standard (ie, not IE).

Field Summary

Fields inherited from class com.google.gwt.dom.client.DOMImpl
`impl`

Constructor Summary
`DOMImplStandard()`

Method Summary
`NativeEvent` | `createHtmlEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable)`
`InputElement` | `createInputRadioElement(Document doc, java.lang.String name)`
`NativeEvent` | `createMouseEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable, int detail, int screenX, int screenY, int clientX, int clientY, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int button, Element relatedTarget)`
`void` | `dispatchEvent(Element target, NativeEvent evt)`
`int` | `eventGetButton(NativeEvent evt)`
`int` | `eventGetCharCode(NativeEvent evt)`
`EventTarget` | `eventGetRelatedTarget(NativeEvent evt)`
`EventTarget` | `eventGetTarget(NativeEvent evt)`
`void` | `eventPreventDefault(NativeEvent evt)`
`java.lang.String` | `eventToString(NativeEvent evt)`
`java.lang.String` | `getInnerText(Element elem)`
`boolean` | `isOrHasChild(Node parent, Node child)`
`void` | `setInnerText(Element elem, java.lang.String text)`

Methods inherited from class com.google.gwt.dom.client.DOMImpl

`buttonClick, createButtonElement, createCheckInputElement, createElement, createInputElement, createKeyCodeEvent, createKeyEvent, createKeyPressEvent, createScriptElement, cssClearOpacity, cssFloatPropertyName, cssSetOpacity, eventGetAltKey, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetCurrentTarget, eventGetKeyCode, eventGetMetaKey, eventGetMouseWheelVelocityY, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, eventStopPropagation, getAbsoluteLeft, getAbsoluteTop, getAttribute, getBodyOffsetLeft, getBodyOffsetTop, getChangedTouches, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getNumericStyleProperty, getParentElement, getPreviousSiblingElement, getScrollLeft, getScrollLeft, getScrollTop, getStyleProperty, getTabIndex, getTagName, getTargetTouches, getTouches, hasAttribute, scrollIntoView, selectAdd, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setDraggable, setScrollLeft, setScrollLeft, setScrollTop, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplStandard

    DOMImplStandard()

Method Detail

### createHtmlEvent

    public NativeEvent createHtmlEvent(Document doc,
                                       java.lang.String type,
                                       boolean canBubble,
                                       boolean cancelable)

  Specified by:
    `createHtmlEvent` in class `DOMImpl`

### createInputRadioElement

    public InputElement createInputRadioElement(Document doc,
                                                java.lang.String name)

  Specified by:
    `createInputRadioElement` in class `DOMImpl`

### createMouseEvent

    public NativeEvent createMouseEvent(Document doc,
                                        java.lang.String type,
                                        boolean canBubble,
                                        boolean cancelable,
                                        int detail,
                                        int screenX,
                                        int screenY,
                                        int clientX,
                                        int clientY,
                                        boolean ctrlKey,
                                        boolean altKey,
                                        boolean shiftKey,
                                        boolean metaKey,
                                        int button,
                                        Element relatedTarget)

  Specified by:
    `createMouseEvent` in class `DOMImpl`

### dispatchEvent

    public void dispatchEvent(Element target,
                              NativeEvent evt)

  Specified by:
    `dispatchEvent` in class `DOMImpl`

### eventGetButton

    public int eventGetButton(NativeEvent evt)

  Overrides:
    `eventGetButton` in class `DOMImpl`

### eventGetCharCode

    public int eventGetCharCode(NativeEvent evt)

  Specified by:
    `eventGetCharCode` in class `DOMImpl`

### eventGetRelatedTarget

    public EventTarget eventGetRelatedTarget(NativeEvent evt)

  Specified by:
    `eventGetRelatedTarget` in class `DOMImpl`

### eventGetTarget

    public EventTarget eventGetTarget(NativeEvent evt)

  Specified by:
    `eventGetTarget` in class `DOMImpl`

### eventPreventDefault

    public void eventPreventDefault(NativeEvent evt)

  Specified by:
    `eventPreventDefault` in class `DOMImpl`

### eventToString

    public java.lang.String eventToString(NativeEvent evt)

  Specified by:
    `eventToString` in class `DOMImpl`

### getInnerText

    public java.lang.String getInnerText(Element elem)

  Overrides:
    `getInnerText` in class `DOMImpl`

### isOrHasChild

    public boolean isOrHasChild(Node parent,
                                Node child)

  Specified by:
    `isOrHasChild` in class `DOMImpl`

### setInnerText

    public void setInnerText(Element elem,
                             java.lang.String text)

  Overrides:
    `setInnerText` in class `DOMImpl`

GWT 2.7.0